Bug 699213 - sosreport networking plugin should also collect brctl details
sosreport networking plugin should also collect brctl details
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On: 697899
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-24 06:29 EDT by Bryn M. Reeves
Modified: 2014-06-26 22:21 EDT (History)
10 users (show)

See Also:
Fixed In Version: sos-3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 697899
Environment:
Last Closed: 2014-06-26 22:21:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2011-04-24 06:29:02 EDT
+++ This bug was initially created as a clone of Bug #697899 +++

Description of problem:
Only the xen plugins currently captures brctl details. This is critical for network issues within virtual environments and should be collected by the standard networking plugins in mainline sos.

Version-Release number of selected component (if applicable):
$ rpm -q sos
sos-2.2-2.fc15.noarch

$ grep -r brctl /usr/lib/python2.7/site-packages/sos/plugins/
Binary file /usr/lib/python2.7/site-packages/sos/plugins/xen.pyo matches
/usr/lib/python2.7/site-packages/sos/plugins/xen.py:            self.collectExtOutput("/usr/sbin/brctl show")
Binary file /usr/lib/python2.7/site-packages/sos/plugins/xen.pyc matches

How reproducible:
Always

Steps to Reproduce:
1. Collect an sosreport.
2.
3.
  
Actual results:
brctl data is only captured when xen plugin is enabled.

Expected results:
brctl data is collected on all relevant environments.
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:49:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 08:59:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bryn M. Reeves 2012-12-11 14:19:54 EST
Fixed upstream:

commit 77bde527d18fee1261e497e08527ec164d67bbb4
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Mon Aug 15 09:05:00 2011 +0100

    Collect brctl show and showstp output
Comment 4 Fedora End Of Life 2013-04-03 09:52:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2014-06-17 19:11:12 EDT
sos-3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sos-3.1-1.fc20
Comment 6 Fedora Update System 2014-06-18 18:22:38 EDT
Package sos-3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sos-3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7479/sos-3.1-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-06-26 22:21:16 EDT
sos-3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.